# laminas-barcode

> This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
> If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
> If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)
>
> If you are looking for an actively maintained package alternative, we recommend:
>
> - [tecnickcom/tcpdf](https://packagist.org/packages/tecnickcom/tcpdf)
> - [picqer/php-barcode-generator](https://packagist.org/packages/picqer/php-barcode-generator)

[![Build Status](https://github.com/laminas/laminas-barcode/workflows/Continuous%20Integration/badge.svg)](https://github.com/laminas/laminas-barcode/actions?query=workflow%3A"Continuous+Integration")

`Laminas\Barcode` provides a generic way to generate barcodes. The `Laminas\Barcode`
component is divided into two subcomponents: barcode objects and renderers.
Objects allow you to create barcodes independently of the renderer. Renderer
allow you to draw barcodes based on the support required.

- File issues at https://github.com/laminas/laminas-barcode/issues
- Documentation is at https://docs.laminas.dev/laminas-barcode/
